* * *

Author Topic: Fpcupdeluxe  (Read 197556 times)

jmpessoa

  • Hero Member
  • *****
  • Posts: 1119
Re: Fpcupdeluxe
« Reply #825 on: May 09, 2018, 05:56:28 am »
I can confirme. NewPascal install is ok!!

[Mac OSX version: 10.13.4 - High Sierra]

Curiosity: from Lazarus About:  x86_64-darwin-cocoa [alpha]   

Thank you!
« Last Edit: May 09, 2018, 07:30:33 am by jmpessoa »
Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard

jmpessoa

  • Hero Member
  • *****
  • Posts: 1119
Re: Fpcupdeluxe
« Reply #826 on: May 09, 2018, 07:45:32 am »
 

More info about "Trunk" run/start error:
 
Quote
MBP-de-jmpessoa:~ jmpessoa$ ./Lazarus_fpcupdeluxe
using config file /Users/jmpessoa/fpcupdeluxe/lazarus/lazarus.cfg
SetPrimaryConfigPath NewValue="/Users/jmpessoa/fpcupdeluxe/config_lazarus" -> "/Users/jmpessoa/fpcupdeluxe/config_lazarus"
SetPrimaryConfigPath NewValue="/Users/jmpessoa/fpcupdeluxe/config_lazarus" -> "/Users/jmpessoa/fpcupdeluxe/config_lazarus"
Hint: (lazarus) [TMainIDE.ParseCmdLineOptions] PrimaryConfigPath="/Users/jmpessoa/fpcupdeluxe/config_lazarus"
Hint: (lazarus) [TMainIDE.ParseCmdLineOptions] SecondaryConfigPath="/etc/lazarus"
NOTE: editor options config file not found - using defaults
Looking for code tools config file:  "/Users/jmpessoa/fpcupdeluxe/config_lazarus/codetoolsoptions.xml"
NOTE: codetools config file not found - using defaults
Hint: (lazarus) [TBuildManager.SetBuildTarget] Old=x86_64-darwin-cocoa New=x86_64-darwin-cocoa FPC=True LCL=False
[FORMS.PP] ExceptionOccurred
  Sender=EAccessViolation
  Exception=Access violation
  Stack trace:
  $0000000100239F91
  $00000001000851E6
  $000000010007BD61
  $000000010007B9F9
TApplication.HandleException Access violation
  Stack trace:
  $0000000100239F91
  $00000001000851E6
  $000000010007BD61
  $000000010007B9F9
Hint: (lazarus) [TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
Hint: (lazarus) [TMainIDE.Destroy] END
MBP-de-jmpessoa:~ jmpessoa$ 
Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard

DonAlfredo

  • Hero Member
  • *****
  • Posts: 885
Re: Fpcupdeluxe
« Reply #827 on: May 10, 2018, 10:16:36 am »
Using startlazarus works for me !
Would you mind trying ?

jmpessoa

  • Hero Member
  • *****
  • Posts: 1119
Re: Fpcupdeluxe
« Reply #828 on: May 11, 2018, 02:09:27 am »
Yes, it is working!

Well,  x86_64-darwin-cocoa [alpha],  still does not allow/enable much  ...

What about [fpcupdeluxe] support the old "carbon"  based IDE?
[I don't install/test the "Fixes", yet...]
« Last Edit: May 11, 2018, 02:59:04 am by jmpessoa »
Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard

MementoMojito

  • Jr. Member
  • **
  • Posts: 66
Re: Fpcupdeluxe
« Reply #829 on: May 14, 2018, 04:25:33 pm »
Hi DonAlfredo,

I am trying to install lazarus-qt5 trunk with fpcupdeluxe-x86_64-linux-qt5 but it just keeps failing right at the beginning with the error:
"Got an unexpected exception ... don't know what to do unfortunately."
So unfortunately I haven't any log to submit.
This is happening on both Arch and Debian 9 (after installing libqt5pas1 from backport). Yesterday I have managed to install Fixes after countless retries on Arch but Trunk will just always fail.
Please see attached screenshot and let me know if you need me to test anything.

Xor-el

  • Full Member
  • ***
  • Posts: 123
Re: Fpcupdeluxe
« Reply #830 on: June 05, 2018, 02:14:02 pm »
hi all, am emulating raspberry pi 1 with qemu on my Windows PC.
I downloaded https://github.com/newpascal/fpcupdeluxe/releases/download/v1.6.0q/fpcupdeluxe-arm-linux, changed the executable permission to "anyone", when I click on the application, it doesn't load.
does anyone know the cause?

af0815

  • Jr. Member
  • **
  • Posts: 84
Re: Fpcupdeluxe
« Reply #831 on: June 05, 2018, 03:00:00 pm »
Start fpcupdeluxe from commandline in a terminal window. You need some libs and prgs installed.

I use this
Code: Pascal  [Select]
  1. $sudo apt-get install subversion zip unzip
  2. $sudo apt-get install gdb libx11-dev libgtk2.0-dev libgdk-pixbuf2.0-dev libcairo2-dev libpango1.0-dev
regards
Andreas

Xor-el

  • Full Member
  • ***
  • Posts: 123
Re: Fpcupdeluxe
« Reply #832 on: June 06, 2018, 02:33:47 am »
Start fpcupdeluxe from commandline in a terminal window. You need some libs and prgs installed.

I use this
Code: Pascal  [Select]
  1. $sudo apt-get install subversion zip unzip
  2. $sudo apt-get install gdb libx11-dev libgtk2.0-dev libgdk-pixbuf2.0-dev libcairo2-dev libpango1.0-dev

thanks a lot.
it helped me.  :)

MISV

  • Sr. Member
  • ****
  • Posts: 284
Re: Fpcupdeluxe
« Reply #833 on: June 07, 2018, 08:37:22 am »
When using newest FPCUPdeluxe V1.6.0q for X64_64-darwin

Using fpc+lazarus trunk for x86_64 + darwin I get the following error

Quote
Compiling ./pasjpeg/src/jidctint.pas
jidctint.pas(330,5) Fatal: Internal error 200306031
Fatal: Compilation aborted

The installer encountered the following error:
Cmpilation of "BuildInit_pasjpeg.pp" failed
src/packages/ide/
jidctint.pas(330,5) Fatal: Internal error 200306031
Fatal: Compilation aborted

The installer encountered the following error:
Cmpilation of "BuildInit_pasjpeg.pp" failed
src/packages/ide/

TS/updlazarus64cocoa/fpcsrc/packages/ide/
make[1]: *** [packages_smart] Error 2
make: *** [build-stamp.x86_64-drawing] Error 2

fpcupdeluxe: ERROR: FPCNativeInstaller (BuildModuleCustom: FPPC) Error running make failed with exit code 512

My goal is to give 64bit/cocoa a go again...

I guess I could try using FPC stable, but thought I would report the issue here to hear if anyone else is having good luck with a specific installation setup or if maybe I am doing something wrong :)

DonAlfredo

  • Hero Member
  • *****
  • Posts: 885
Re: Fpcupdeluxe
« Reply #834 on: June 07, 2018, 04:04:34 pm »
Just tried this morning. Installs without errors ! See picture.

So, I have no clue what caused this error on your system. Try again ?

MISV

  • Sr. Member
  • ****
  • Posts: 284
Re: Fpcupdeluxe
« Reply #835 on: June 08, 2018, 02:56:25 pm »
Running the installer again seems to work - thank you.

However - whenever I start Lazarus I get Arithmetic overflow error box ...  it happens a lot, so I can not open e.g. "Help > About"

Am I doing something different than you - can you run it out of the box without getting that rror?


« Last Edit: June 08, 2018, 03:10:40 pm by MISV »

DonAlfredo

  • Hero Member
  • *****
  • Posts: 885
Re: Fpcupdeluxe
« Reply #836 on: June 08, 2018, 03:27:53 pm »
See : http://forum.lazarus.freepascal.org/index.php/topic,34645.msg285547.html#msg285547

Quote
Using startlazarus works for me !
Would you mind trying ?

MISV

  • Sr. Member
  • ****
  • Posts: 284
Re: Fpcupdeluxe
« Reply #837 on: June 08, 2018, 03:48:38 pm »
See : http://forum.lazarus.freepascal.org/index.php/topic,34645.msg285547.html#msg285547

Quote
Using startlazarus works for me !
Would you mind trying ?

I still get the same error when starting Lazarus :(

I will try find relevant logs (not sure where but I will investigate) and post them

tudi_x

  • Sr. Member
  • ****
  • Posts: 451
Re: Fpcupdeluxe
« Reply #838 on: June 09, 2018, 12:46:22 pm »
hi,
i installed v1.6.0q and selected stable on Linux MINT 19 XFCE.
got Lazarus 1.8.2.
please advise what would be the settings for installing Lazarus 1.8.4.

thank you

DonAlfredo

  • Hero Member
  • *****
  • Posts: 885
Re: Fpcupdeluxe
« Reply #839 on: June 09, 2018, 12:55:03 pm »
Right at this moment, I am preparing a new release that will install 1.8.4 !
Please wait another few minutes ... ;-)

Edit: basic release ready !
« Last Edit: June 09, 2018, 12:59:28 pm by DonAlfredo »

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus